Skip to content

SNMP ​

3 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getSnmpSettingGETGet SNMP setting
modifySnmpSettingPATCHModify SNMP setting
getSnmpIncompatibleDevicesGETGet the list of site devices that do not support SNMP v3 enhanced configuration

getSnmpSetting ​

GET /openapi/v1/{omadacId}/sites/{siteId}/setting/service/snmp

Get SNMP setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getSnmpSetting",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get SNMP setting info of the site with the given omadacId and siteId.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

modifySnmpSetting ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/setting/service/snmp

Modify SNMP setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema SnmpSettingOpenApiVO

FieldTypeRequiredDescription
snmpV1V2CEnablebooleanyesSNMPv1 & SNMPv2c enable status
communityStringstringnoCommunity string, valid when parameter [snmpV1V2CEnable] is true. The communityString should contain at least 10 characters, using a combination of numbers, letters or special characters. The communityString should not contain consecutive identical characters.
snmpV3EnablebooleanyesSNMPv3 enable status
usernamestringnoUsername, valid when parameter [snmpV3Enable] is true. Username should contain 1 to 30 characters
passwordstringnoThe password should contain at least 10 characters, using a combination of numbers, letters or special characters. The password should not contain consecutive identical characters. Username and Password should not be the same.
securityLevelintegernoSecurity Level should be a value as follows: 0: NoAuthNoPriv; 1: AuthNoPriv; 2: AuthPriv
authModeintegernoAuthentication Mode should be a value as follows: 1: MD5; 2: SHA. When Security Level is AuthNoPriv or AuthPriv, this field is required
privacyModeintegernoPrivacy Mode should be a value as follows: 1: DES; 2: AES. When Security Level is AuthPriv, this field is required
privacyPasswordstringnoThe privacy password should contain at least 10 characters, using a combination of numbers, letters or special characters. The privacy password should not contain consecutive identical characters. Username and privacy password should not be the same.
locationstringnoLocation
contactstringnoContact
json
// omada_call_operation
{
  "operationId": "modifySnmpSetting",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify SNMP setting info of the site with the given params.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-34503 - Community String cannot be the same as the username.

getSnmpIncompatibleDevices ​

GET /openapi/v1/{omadacId}/sites/{siteId}/setting/service/snmp/incompatible-devices

Get the list of site devices that do not support SNMP v3 enhanced configuration

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getSnmpIncompatibleDevices",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get the list of site devices that do not support SNMP v3 enhanced configuration.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.